public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/kde:master commit in: kde-plasma/drkonqi/
Date: Fri, 11 Aug 2017 14:16:22 +0000 (UTC)	[thread overview]
Message-ID: <1502460971.7f5d615ca1c63406a09728eb17451ba72dc902e6.asturm@gentoo> (raw)

commit:     7f5d615ca1c63406a09728eb17451ba72dc902e6
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 11 13:57:39 2017 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Fri Aug 11 14:16:11 2017 +0000
URL:        https://gitweb.gentoo.org/proj/kde.git/commit/?id=7f5d615c

kde-plasma/drkonqi: New package, split from plasma-workspace

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 kde-plasma/drkonqi/drkonqi-9999.ebuild | 55 ++++++++++++++++++++++++++++++++++
 kde-plasma/drkonqi/metadata.xml        |  8 +++++
 2 files changed, 63 insertions(+)

diff --git a/kde-plasma/drkonqi/drkonqi-9999.ebuild b/kde-plasma/drkonqi/drkonqi-9999.ebuild
new file mode 100644
index 0000000000..525f1c804e
--- /dev/null
+++ b/kde-plasma/drkonqi/drkonqi-9999.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit kde5
+
+DESCRIPTION="Plasma crash handler, gives the user feedback if a program crashed"
+
+KEYWORDS=""
+IUSE="X"
+
+COMMON_DEPEND="
+	$(add_frameworks_dep kcompletion)
+	$(add_frameworks_dep kconfig)
+	$(add_frameworks_dep kconfigwidgets)
+	$(add_frameworks_dep kcoreaddons)
+	$(add_frameworks_dep kcrash)
+	$(add_frameworks_dep ki18n)
+	$(add_frameworks_dep kidletime)
+	$(add_frameworks_dep kio)
+	$(add_frameworks_dep kjobwidgets)
+	$(add_frameworks_dep knotifications)
+	$(add_frameworks_dep kservice)
+	$(add_frameworks_dep kwayland)
+	$(add_frameworks_dep kwidgetsaddons)
+	$(add_frameworks_dep kxmlrpcclient)
+	$(add_qt_dep qtdbus)
+	$(add_qt_dep qtgui)
+	$(add_qt_dep qtwidgets)
+	$(add_qt_dep qtxml)
+	X? ( $(add_qt_dep qtx11extras) )
+"
+DEPEND="${COMMON_DEPEND}
+	$(add_qt_dep qtconcurrent)
+"
+RDEPEND="${COMMON_DEPEND}
+	!kde-plasma/drkonqi:4
+	!<kde-plasma/plasma-workspace-5.10.95:5
+"
+
+src_configure() {
+	local mycmakeargs=(
+		$(cmake-utils_use_find_package X Qt5X11Extras)
+	)
+	kde5_src_configure
+}
+
+pkg_postinst() {
+	kde5_pkg_postinst
+	if ! has_version "sys-devel/gdb"; then
+		elog "For more usability consider installing the following package:"
+		elog "    sys-devel/gdb - Easier debugging support"
+	fi
+}

diff --git a/kde-plasma/drkonqi/metadata.xml b/kde-plasma/drkonqi/metadata.xml
new file mode 100644
index 0000000000..2fdbf33d96
--- /dev/null
+++ b/kde-plasma/drkonqi/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="project">
+		<email>kde@gentoo.org</email>
+		<name>Gentoo KDE Project</name>
+	</maintainer>
+</pkgmetadata>


             reply	other threads:[~2017-08-11 14:16 UTC|newest]

Thread overview: 31+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-08-11 14:16 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2017-08-11 18:14 [gentoo-commits] proj/kde:master commit in: kde-plasma/drkonqi/ Andreas Sturmlechner
2017-10-09 19:17 Andreas Sturmlechner
2017-12-25 10:05 Michael Palimaka
2019-10-24 18:37 Andreas Sturmlechner
2019-10-26 11:02 Andreas Sturmlechner
2020-04-25 16:06 Andreas Sturmlechner
2020-04-25 16:06 Andreas Sturmlechner
2020-04-25 16:06 Andreas Sturmlechner
2020-05-19 11:20 Andreas Sturmlechner
2020-09-04  8:43 Andreas Sturmlechner
2021-05-07 15:24 Andreas Sturmlechner
2021-05-07 15:24 Andreas Sturmlechner
2021-05-12  7:50 Andreas Sturmlechner
2022-06-21 11:28 Andreas Sturmlechner
2022-09-24 20:56 Andreas Sturmlechner
2022-10-09 16:39 Andreas Sturmlechner
2022-10-26 13:21 Andreas Sturmlechner
2022-12-27 10:52 Andreas Sturmlechner
2023-02-22 10:21 Andreas Sturmlechner
2023-03-26 11:15 Andreas Sturmlechner
2023-09-19 14:12 Andreas Sturmlechner
2023-09-19 14:12 Andreas Sturmlechner
2023-12-16 13:32 Andreas Sturmlechner
2024-01-13 16:36 Sam James
2024-01-13 16:36 Sam James
2024-06-18 20:13 Andreas Sturmlechner
2024-07-03 20:31 Andreas Sturmlechner
2024-10-07 17:23 Sam James
2024-12-11 16:07 Andreas Sturmlechner
2025-02-02 21:38 Andreas Sturmlechner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1502460971.7f5d615ca1c63406a09728eb17451ba72dc902e6.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox